#Copyright 2009 Diego Duclos
#
#This program is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program.  If not, see <http://www.gnu.org/licenses/>.
import gtk

def init(self):
    self.includeReloadTimeMenu = gtk.Menu()
    menuItem = gtk.MenuItem()
    box = gtk.HBox()
    self.includeReloadTimeToggle = gtk.CheckButton("Factor in weapon reload time")
    menuItem.add(self.includeReloadTimeToggle)
    menuItem.connect("activate", self.capOrFirepowerMenuItemClicked)
    self.includeReloadTimeMenu.add(menuItem)
    self.eboxFirepower.connect("button-press-event", self.capOrFirepowerWidgetClicked)
    self.eboxCapacitor.connect("button-press-event", self.capOrFirepowerWidgetClicked)
    
def capOrFirepowerWidgetClicked(self, widget, event):
    if event.button == 3 and self.getActiveFit() != None:
        self.includeReloadTimeMenu.popup(None, None, None, event.button, event.time)
        self.includeReloadTimeMenu.show_all()


def capOrFirepowerMenuItemClicked(self, *stuff):
    fit = self.getActiveFit()
    if fit == None: return
    fit.factorInReload = not fit.factorInReload
    self.emit("fitting-changed")